using System;
using System.Collections.Generic;

namespace PV178.Tutorial3.SpringfieldUniversityFull
{
    public class Seminar
    {
        public string Code { get; set; }
        public string Name { get; set; }

        public Seminar(string code, string name)
        {
            Code = code;
            Name = name;
        }

        public override bool Equals(object obj)
        {
            if (obj == null || GetType() != obj.GetType())
            {
                return false;
            }

            Seminar other = (Seminar) obj;
            return other.Code == Code;
        }

        public override int GetHashCode()
        {
            return (Code != null ? Code.GetHashCode() : 0);
        }

        public override string ToString()
        {
            return string.Format("Seminar {0}: {1}", Code, Name);
        }
    }
}