namespace PV178.Tutorial3.SpringfieldUniversitySimple
{
    public enum Mark
    {
        A = 2,
        B = 3,
        C = 4,
        D = 5,
        E = 6,
        F = 8
    }

    public static class MarkExtensions
    {
        public static double ToScore(this Mark? mark)
        {
            return mark.HasValue ? mark.Value.ToScore() : 4;
        }

        public static double ToScore(this Mark mark)
        {
            return ((int) mark)/2.0;
        }
    }
}