﻿using System.Collections.Generic;

namespace PV178.Tutorial3.SpringfieldUniversitySimple
{
    public class Student
    {
        private readonly IDictionary<string, Mark?> marks = new Dictionary<string, Mark?>();


        public IDictionary<string, Mark?> Marks { get { return marks; } }

        public int Uco { get; set; }

        public string FirstName { get; set; }

        public string LastName { get; set; }


        public override bool Equals(object obj)
        {
            if (object.ReferenceEquals(this, obj))
                return true;

            if (obj == null || GetType() != obj.GetType())
            {
                return false;
            }

            Student other = (Student)obj;

            return Uco == other.Uco;
        }

        public override int GetHashCode()
        {
            return Uco;
        }

        public override string ToString()
        {
            return string.Format("{1}, {2} (UCO: {0})", Uco, LastName, FirstName);
        }
    }
}
